# Find out the local directory this script lives in:
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source "$DIR/base.sh"

##############################################################################
# TASK SPECIFIC CONFIGURATION VARIABLES
##############################################################################

# Object
export OBJECT_DET_GRAPH="${PATH_TO_CLASSIFIERS}/models/detection/md_all/frozen_inference_graph.pb"
export OBJECT_DET_LABELS="${PATH_TO_CLASSIFIERS}/models/detection/md_all/labelMap.pbtxt"
export OBJECT_REC_PATH="${PATH_TO_CLASSIFIERS}/models/recognition/all"
export OBJECT_REC_GRAPH="${OBJECT_REC_PATH}/output_graph.pb"
export OBJECT_REC_LABELS="${OBJECT_REC_PATH}/output_labels.txt"


#export shelf_mode=true
##############################################################################
# COMPONENT LIST
##############################################################################
export VDEMO_components="
$VDEMO_component_group_object

default:
$VDEMO_component_roscore
rosrun,$laptop, -n -t usb_cam -v PACKAGE=usb_cam -v BINARY=usb_cam_node -L 2: \
$VDEMO_component_xtion2
"
